<?php

namespace Slovocast\Controller\Channel;

use Slovocast\Controller\Controller;
use Psr\Http\Message\ResponseInterface;
use Slovocast\Domain\Repository\Channel\ChannelRepositoryInterface;
use Slovocast\Domain\Repository\Episode\EpisodeFileRepositoryInterface;

class CreateEpisodeAction extends Controller
{
    public function __construct(
        private EpisodeFileRepositoryInterface $episodeFileRepository,
        private ChannelRepositoryInterface $channelInterface,
    ) { }
    
    public function handle(): ResponseInterface
    {
        $userData = $this->sessionManager->get('user');

        // create the new Episode data
        // set if draft or not
        // check if File has been uploaded or not

        return $this->json([ 'message' => 'Successfully uploaded image!' ]);
    }
}
