<?php

namespace Slovocast\Controller\Channel\Episode;

use Psr\Http\Message\UploadedFileInterface;
use Slovocast\Controller\Controller;
use Psr\Http\Message\ResponseInterface;
use Slovocast\Domain\Repository\Episode\EpisodeFileRepositoryInterface;

class UploadEpisodeFileAction extends Controller
{
    public function __construct(
        EpisodeFileRepositoryInterface $episodeFileRepository
    ) { }

    public function handle(): ResponseInterface
    {
        /** @var array<UploadedFileInterface> */
        $files = $this->request->getUploadedFiles();

        // move the files to storage

        return $this->json([ 'message' => 'Uploaded Episode file.' ]);
    }
}
